#include <iostream>
#include <iomanip>
#include <fstream>

int main()
{
	std::ifstream inputFilePtr;
	inputFilePtr.open("inputFile.txt", std::ios_base::in);
	if (!inputFilePtr.is_open()) {
		std::cout << "  !";
		return 0;
	}
	int N,M;
	inputFilePtr >> N;
	inputFilePtr >> M;
	inputFilePtr.close();

	//  
	int** matrix = new int*[N];
	for (int i = 0; i < N; i++) {
		matrix[i] = new int[M];
	}

	//   
	for (int i = 0; i < M; i++) {
		matrix[0][i] = 1;
	}
	for (int i = 0; i < N; i++) {
		matrix[i][0] = 1;
	}

	//     
	for (int i = 1; i < N; i++) {
		for (int j = 1; j < M; j++) {
			matrix[i][j]= matrix[i-1][j]+ matrix[i][j-1];
		}
	}

	//  
	for (int i = 0; i < N; i++) {
		for (int j = 0; j < M; j++) {
			std::cout << std::setw(6) << matrix[i][j];
		}
		std::cout << std::endl;
	}
}